[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONString.Create

Create a new instance of string JSON data

## Declaration

Source position: fpjson.pp line 392

`public constructor TJSONString.Create(`
`const AValue: TJSONStringType`
`); constructor TJSONString.Create(`
`const AValue: TJSONUnicodeStringType`
`);`

## Arguments

`AValue` |  | Initial string value.

## Arguments

`AValue` |  | Initial string value.

## Description

Create instantiates a new string JSON data and initializes the value with AValue. Currently the implementation uses an ANSI string to hold the data. This means that to correctly hold Unicode data, a UTF-8 encoding must be used.

## See also

TJSONIntegerNumber.Create |  | Create a new instance of 32-bit integer JSON data
TJSONFloatNumber.Create |  | Create a new floating-point value
TJSONInt64Number.Create |  | Create a new instance of 64-bit integer JSON data
TJSONBoolean.Create |  | Create a new instance of boolean JSON data
TJSONArray.Create |  | Create a new instance of JSON array data.
TJSONObject.Create |  | Create a new instance of JSON object data.